﻿/* Ajustes Minty Theme-like FullCalendar */

.fc-event.hidden {
    display: none !important;
}

/*Botón mes*/
.fc-dayGridMonth-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    font-family: 'Poppins', sans-serif !important;
}

    .fc-dayGridMonth-button.btn-primary.active {
        background-color: #55b298 !important;
        box-shadow: 0 0 0 0.2rem rgb(140 203 185 / 50%);
        outline: none;
    }

    .fc-dayGridMonth-button.btn-primary:hover {
        background-color: #5eb69d !important;
        outline: none;
    }

/*Botón semana*/
.fc-dayGridWeek-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    font-family: 'Poppins', sans-serif !important;
}

    .fc-dayGridWeek-button.btn-primary.active {
        background-color: #55b298 !important;
        box-shadow: 0 0 0 0.2rem rgb(140 203 185 / 50%);
        outline: none;
    }

    .fc-dayGridWeek-button.btn-primary:hover {
        background-color: #5eb69d !important;
        outline: none;
    }

/*Botón día*/
.fc-timeGridDay-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    font-family: 'Poppins', sans-serif !important;
}

    .fc-timeGridDay-button.btn-primary.active {
        background-color: #55b298 !important;
        box-shadow: 0 0 0 0.2rem rgb(140 203 185 / 50%);
        outline: none;
    }

    .fc-timeGridDay-button.btn-primary:hover {
        background-color: #5eb69d !important;
        outline: none;
    }

/*Botón hoy*/
.fc-today-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    font-family: 'Poppins', sans-serif !important;
}

    .fc-today-button.btn-primary.active {
        background-color: #55b298 !important;
        box-shadow: 0 0 0 0.2rem rgb(140 203 185 / 50%);
        outline: none;
    }

    .fc-today-button.btn-primary:hover {
        background-color: #5eb69d !important;
        outline: none;
    }

/*Botón día anterior*/
.fc-prev-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    outline: none;
}

    .fc-prev-button.btn-primary.active {
        background-color: #55b298 !important;
        outline: none;
    }

    .fc-prev-button.btn-primary:hover {
        background-color: #5eb69d !important;
        outline: none;
    }

/*Botón día siguiente*/
.fc-next-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    outline: none;
}

    .fc-next-button.btn-primary.active {
        background-color: #55b298 !important;
        outline: none;
    }

    .fc-next-button.btn-primary:hover {
        background-color: #5eb69d !important;
        outline: none;
    }

/* Ajustes fuente días de la semana */
.fc-col-header-cell-cushion {
    font-weight: bold !important;
    color: #888 !important;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji" !important;
    font-size: 17px !important;
    text-decoration: unset !important;
}

/* Ajustes fuente mes */
.fc-toolbar-chunk {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji" !important;
    font-size: 1rem !important;
    font-weight: 400 !important;
    line-height: 1.5 !important;
    color: #888 !important;
}

/* Añadir borde ligero a las celdas */
.fc-scrollgrid {
    border: 0,5px solid rgba(0,0,0,.15) !important;
}

.fc-col-header-cell {
    border: 1px solid rgba(0,0,0,.15) !important;
}

.fc-daygrid-day {
    border: 1px solid rgba(0,0,0,.15) !important;
}

.fc-daygrid-day-number {
    color: #78c2ad !important;
}

/* Ajuste para que se haga un salto de línea si la hora y el título no caben en la casilla del evento */
.fc-event-main-frame {
    white-space: normal !important;
}

/* Ajustes Minty Theme-like FullCalendar */
/* Ajustes Minty Theme-like FullCalendar-scheduler */
/*Botón día*/
.fc-resourceTimelineDay-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    font-family: 'Poppins', sans-serif !important;
    outline: none;
}

.fc-resourceTimelineDay-button.btn-primary.active {
    background-color: #55b298 !important;
    outline: none;
}

.fc-resourceTimelineDay-button.btn-primary:hover {
    background-color: #5eb69d !important;
    outline: none;
}

/*Botón semana*/
.fc-resourceTimelineWeek-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    font-family: 'Poppins', sans-serif !important;
    outline: none;
}

.fc-resourceTimelineWeek-button.btn-primary.active {
    background-color: #55b298 !important;
    outline: none;
}

.fc-resourceTimelineWeek-button.btn-primary:hover {
    background-color: #5eb69d !important;
    outline: none;
}
    
/*Botón mes*/
.fc-resourceTimelineMonth-button.btn-primary {
    background-color: #78c2ad !important;
    border-color: #78c2ad !important;
    font-family: 'Poppins', sans-serif !important;
    outline: none;
    content: 'año';
}

.fc-resourceTimelineMonth-button.btn-primary.active {
    background-color: #55b298 !important;
    outline: none;
    content: 'año';
}

.fc-resourceTimelineMonth-button.btn-primary:hover {
    background-color: #5eb69d !important;
    outline: none;
    content: 'año';
}

.fc .fc-timeline-now-indicator-arrow {
    margin: 0 -6px;
    border-width: 6px 5px 0 5px;
    border-color: var(--fc-now-indicator-color, #78c2ad) !important;
    border-left-color: transparent !important;
    border-right-color: transparent !important;
}

.fc-timeline-now-indicator-line {
    border-color: var(--fc-now-indicator-color, #78c2ad) !important;
}

.fc-direction-ltr {
    color: #78c2ad;
}

.fc-datagrid-cell-main {
    color: #4C4C4C !important;
}

.fc-timeline-slot {
    border: 1px solid rgba(0,0,0,.15) !important;
}

.fc-event-time {
    white-space: normal !important;
}

.fc-event-title {
    white-space: normal !important;
}

.fc-sticky {
    white-space: normal !important;
}

.fc-timeline-event-harness {
    cursor: pointer !important;
}

hr.hrCalendar {
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

hr.hrRow {
    margin-top: 1px !important;
    margin-bottom: -1px !important;
    border-top: 1px solid #eee;
}

.loading {
    margin-top: -20px;
}

.loading-image {
    height: 10% !important;
    width: 10% !important;
} 

.tooltip-inner {
    /*background-color: red !important;*/
}

/* Ajustes Minty Theme-like FullCalendar-scheduler */
